Bug 1732000 (CVE-2019-2740) - CVE-2019-2740 mysql: Server: XML unspecified vulnerability (CPU Jul 2019)
Summary: CVE-2019-2740 mysql: Server: XML unspecified vulnerability (CPU Jul 2019)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2740
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1733486 1739723 1741357 1741359 1741360 1732040 1732041 1732042 1732043 1732044 1733485 1739714 1739715 1739716 1739717 1741358
Blocks: 1732048
TreeView+ depends on / blocked
 
Reported: 2019-07-22 14:04 UTC by Marian Rehak
Modified: 2019-11-05 22:08 UTC (History)
21 users (show)

Fixed In Version: mysql 5.6.45, mysql 5.7.27, mysql 8.0.17, mariadb 5.5.65, mariadb 10.4.7, mariadb 10.3.17, mariadb 10.2.26, mariadb 10.1.41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 08:49:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2518 None None None 2019-08-19 08:20:22 UTC
Red Hat Product Errata RHSA-2019:2484 None None None 2019-08-14 07:00:33 UTC
Red Hat Product Errata RHSA-2019:2511 None None None 2019-08-15 17:47:52 UTC
Red Hat Product Errata RHSA-2019:3708 None None None 2019-11-05 22:08:33 UTC

Description Marian Rehak 2019-07-22 14:04:04 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: XML). Supported versions that are affected are 5.6.44 and prior, 5.7.26 and prior and 8.0.16 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html

Comment 1 Marian Rehak 2019-07-22 14:20:26 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1732044]


Created mysql:5.6/community-mysql tracking bugs for this issue:

Affects: fedora-30 [bug 1732041]


Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1732040]

Comment 3 Tomas Hoger 2019-08-09 20:21:46 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1739714]


Created mariadb:10.1/mariadb tracking bugs for this issue:

Affects: fedora-29 [bug 1739716]


Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-30 [bug 1739717]


Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1739715]

Comment 5 errata-xmlrpc 2019-08-14 07:00:32 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:2484 https://access.redhat.com/errata/RHSA-2019:2484

Comment 6 Product Security DevOps Team 2019-08-14 08:49:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2740

Comment 8 errata-xmlrpc 2019-08-15 17:47:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2511 https://access.redhat.com/errata/RHSA-2019:2511

Comment 9 errata-xmlrpc 2019-11-05 22:08:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3708 https://access.redhat.com/errata/RHSA-2019:3708


Note You need to log in before you can comment on or make changes to this bug.